#
# spec file for package switchboard-plug-onlineaccounts
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.settings.onlineaccounts
Name:           switchboard-plug-onlineaccounts
Version:        8.0.1
Release:        1.3
Summary:        Online Accounts plug for Switchboard
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/switchboard-plug-onlineaccounts
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(camel-1.2) >= 3.28
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite-7) >= 7.1.0
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libaccounts-glib)
BuildRequires:  pkgconfig(libadwaita-1) >= 1.4.0
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.40
BuildRequires:  pkgconfig(switchboard-3)
Requires:       switchboard

%description
This plug allow you to enable online accounts sync.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{appid}
%fdupes %{buildroot}%{_datadir}

%files
%license LICENSE
%doc README.md
%dir %{_libdir}/{switchboard-3,switchboard-3/network}
%{_libdir}/switchboard-3/network/libonlineaccounts.so
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%dir %{_datadir}/icons/hicolor/{128x128@2,128x128@2/apps,32x32@2,32x32@2/apps,48x48@2,48x48@2/apps,64x64@2,64x64@2/apps}
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Tue Nov 12 2024 Richard Rahl <rrahl0@opensuse.org>
- Require switchboard at runtime
* Wed Sep 25 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.1:
  * Fix icon in the Feedback app
  * Updated translations
* Tue Aug 13 2024 Richard Rahl <rrahl0@opensuse.org>
- enable leap by using datadir/icons
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Improve screen reader accessibility
  * Updated translations
- update to 6.5.3:
  * ImapDialog: Fix freeze when a server sends no response
  * ImapDialog: Store most initial setup keys
  * Metainfo Improvements
- update to 6.5.2:
  * Update icons
  * Add support for evolution-data-server 3.45+
  * Fix use imap username for smtp
- update to 6.5.1:
  * Updated translations
- update to 6.5.0:
  * Added offline support for CalDAV accounts
- update to 6.4.0:
  * Choose refresh rate for IMAP
  * Updated translations
- update to 6.3.0:
  * Edit saved CalDAV accounts
  * Dim window when creating a new IMAP account
  * Updated translations
- update to 6.2.2:
  * Dim window when creating a new IMAP account
  * Updated translations
- update to 6.2.1:
  * Make sure the refresh interval for an IMAP account is set
  * Fix adding, editing, and removing lists in CalDAV apps like Tasks
  * Make sure you can always navigate next by pressing the Enter key
  * Close dialogs when pressing the Escape key
  * Use a more complete list of authentication methods for IMAP
  * Updated translations
- update to 6.2.0:
  * Edit saved IMAP accounts
  * Automatically detect authentication method for IMAP
  * Updated translations
- update to 6.1.0:
  * Verify login credentials when saving IMAP accounts
  * Set up Archive, Drafts, Sent, and Templates folders for IMAP
  * Close "Add Account" popover when an item is selected
  * Updated translations
- update to 6.0.0:
  * Complete redesign based on Evolution Data Server
- switch url to github, as we don't want to link to a different OS
* Sun Nov 25 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.0.1:
  * Move OnlineAccounts.vala to Plug.vala (#65)
  * AccountView: Use GObject style (#63)
  * ACListBox: one class per file, GObject-style (#64)
  * Merge branch 'origin/master' into Weblate
  * OnlineAccounts.vala: Use Granite Toast (#62)
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.0:
  * fix wrong icon for Last.FM provider
  * Add LastFM provider (#51)
  * Add LastFM provider
  * Add the mail provider (#48)
  * Remove unneded assign (#47)
  * remove http schemes (#46)
  * Update fsf address (#38)
  * update po files
- Swith to meson
* Mon Jun  4 2018 avvissu@yandex.by
- Remove gsignond-extension-pantheon
* Wed May  9 2018 avvissu@yandex.by
- Add packages with plugins: lastfm, mail
- Remove all broken plug-in files
- Rebase the package directories
- Spec file cleanup
* Mon Nov 13 2017 avvissu@yandex.by
- Use gsignond-extension-pantheon as recommended dependency
- Use gsignond-config-pantheon as suggested dependency
* Mon Jun  5 2017 avvissu@yandex.by
- Re-enable plugins: lastfm and mail
* Mon May 15 2017 avvissu@yandex.by
- Rename to switchboard-plug-onlineaccounts
- Drop mail (plugin not working)
* Tue Sep 13 2016 avvissu@yandex.by
- Update to 0.3.0.1
- Split plugins into separate packages
- Block out plugins that don't work
* Wed Aug  3 2016 avvissu@yandex.by
- Initial packaging
